config/libc/mingw.in.2
author "Benoît THÉBAUDEAU" <benoit.thebaudeau@advansee.com>
Thu Aug 18 16:05:48 2011 +0200 (2011-08-18)
changeset 2612 a52574521bea
parent 2018 860de6018501
permissions -rw-r--r--
debug/gdb: update GDB revisions

Update GDB with the latest available revisions.

Signed-off-by: "Benoît THÉBAUDEAU" <benoit.thebaudeau@advansee.com>
bartvdrmeulen@2018
     1
# Part-2 of mingw C library options: development libraries
bartvdrmeulen@2018
     2
bartvdrmeulen@2018
     3
config MINGW_DIRECTX
bartvdrmeulen@2018
     4
    bool
bartvdrmeulen@2018
     5
    prompt "Include DirectX development files"
bartvdrmeulen@2018
     6
bartvdrmeulen@2018
     7
config MINGW_OPENGL
bartvdrmeulen@2018
     8
    bool
bartvdrmeulen@2018
     9
    prompt "Include OpenGL development files"
bartvdrmeulen@2018
    10
bartvdrmeulen@2018
    11
config MINGW_PDCURSES
bartvdrmeulen@2018
    12
    bool
bartvdrmeulen@2018
    13
    prompt "Include PDCurses (NCurses library) development files"
bartvdrmeulen@2018
    14
bartvdrmeulen@2018
    15
choice
bartvdrmeulen@2018
    16
    bool
bartvdrmeulen@2018
    17
    prompt "PDCurses library version"
bartvdrmeulen@2018
    18
    depends on MINGW_PDCURSES
bartvdrmeulen@2018
    19
bartvdrmeulen@2018
    20
config MINGW_PDCURSES_V_3_4
bartvdrmeulen@2018
    21
    bool
bartvdrmeulen@2018
    22
    prompt "3.4"
bartvdrmeulen@2018
    23
bartvdrmeulen@2018
    24
# CT_INSERT_VERSION_ABOVE
bartvdrmeulen@2018
    25
# Don't remove above line!
bartvdrmeulen@2018
    26
bartvdrmeulen@2018
    27
config MINGW_PDCURSES_V_select
bartvdrmeulen@2018
    28
    bool
bartvdrmeulen@2018
    29
    prompt "Other version"
bartvdrmeulen@2018
    30
bartvdrmeulen@2018
    31
endchoice
bartvdrmeulen@2018
    32
bartvdrmeulen@2018
    33
config MINGW_PDCURSES_VERSION
bartvdrmeulen@2018
    34
    string
bartvdrmeulen@2018
    35
    prompt "PDCurses library version" if MINGW_PDCURSES_V_select
bartvdrmeulen@2018
    36
    default "3.4" if MINGW_PDCURSES_V_3_4
bartvdrmeulen@2018
    37
# CT_INSERT_VERSION_STRING_ABOVE
bartvdrmeulen@2018
    38
# Don't remove above line!
bartvdrmeulen@2018
    39
    help
bartvdrmeulen@2018
    40
      Enter the version number of the PDCurses library to use
bartvdrmeulen@2018
    41
bartvdrmeulen@2018
    42
config MINGW_GNURX
bartvdrmeulen@2018
    43
    bool
bartvdrmeulen@2018
    44
    prompt "Include GnuRX (regex library) development files"
bartvdrmeulen@2018
    45
bartvdrmeulen@2018
    46
choice
bartvdrmeulen@2018
    47
    bool
bartvdrmeulen@2018
    48
    prompt "GnuRX library version"
bartvdrmeulen@2018
    49
    depends on MINGW_GNURX
bartvdrmeulen@2018
    50
bartvdrmeulen@2018
    51
config MINGW_GNURX_V_2_5_1
bartvdrmeulen@2018
    52
    bool
bartvdrmeulen@2018
    53
    prompt "2.5.1"
bartvdrmeulen@2018
    54
bartvdrmeulen@2018
    55
# CT_INSERT_VERSION_ABOVE
bartvdrmeulen@2018
    56
# Don't remove above line!
bartvdrmeulen@2018
    57
bartvdrmeulen@2018
    58
config MINGW_GNURX_V_select
bartvdrmeulen@2018
    59
    bool
bartvdrmeulen@2018
    60
    prompt "Other version"
bartvdrmeulen@2018
    61
bartvdrmeulen@2018
    62
endchoice
bartvdrmeulen@2018
    63
bartvdrmeulen@2018
    64
config MINGW_GNURX_VERSION
bartvdrmeulen@2018
    65
    string
bartvdrmeulen@2018
    66
    prompt "GnuRX library version" if MINGW_GNURX_V_select
bartvdrmeulen@2018
    67
    default "2.5.1" if MINGW_GNURX_V_2_5_1
bartvdrmeulen@2018
    68
# CT_INSERT_VERSION_STRING_ABOVE
bartvdrmeulen@2018
    69
# Don't remove above line!
bartvdrmeulen@2018
    70
    help
bartvdrmeulen@2018
    71
      Enter the version number of the Regex library to use
bartvdrmeulen@2018
    72